-- Forlorn Fox, Caves of chaos level
-- Copyright © 2016 Rob Probin.
-- No redistribution without permission.
--
RawMapData {
    "############ ############",
    "############d############",
    "####### m       #########",
    "##  ##           /#### D ",
    "# c t       k          ##",
    "## ###          m########",
    "#######    s    #########",
    "#######w        #########",
    "###########   ###########",
    "#########    ########## #",
    "#1         ##############",
    "#########################",
    title = "Caves of Chaos - Kobold",
    exit_north = nil, --"caves21",
    exit_south = nil,
    exit_west = nil,
    exit_east = nil,--"caves21",
    exits = {
                ['1'] = 
                { },
            },
    conditionals =
    {
        exit_doors = 'closed',
    },
    features = { 
            { '#', from_utf8('#'), "AutoWall" },
            { ' ', ' ',            "Space" },
            --{ '1', '1',            "Space" }, -- entrance / exit
        { 'd', 'd',                         "Space" }, -- door
        { 'D', 'D',                         "Space" }, -- door
        { 'c', 'c',            "Space" }, -- entrance / exit
        { 'w', {500, get_glyph('caves2',23 ), get_glyph('caves2',24 ), get_glyph('caves2', 25), get_glyph('caves2', 26), get_glyph('caves2', 27 ), get_glyph('caves2', 28 ), get_glyph('caves2', 29 )}, "Wall" },
        { 'm', get_glyph('caves1', 31),            "Space" }, -- mould - just decoration
        { 's', get_glyph('caves1', 30),            "Space" }, -- scratch - just decoration
        { '/', get_glyph('caves1', 0x2f), "Space" },

        },
    doors = 
    {
        ['d'] =
        {
            conditional = 'exit_doors',
            closed = get_glyph('caves1', 5),
            open = get_glyph('caves1', 21),
        },
        ['D'] =
        {
            conditional = 'exit_doors',
            closed = get_glyph('caves1', 4),
            open = get_glyph('caves1', 20),
        },
        ['t'] =
        {
            conditional = 'exit_doors',
            closed = get_glyph('caves1', 4),
            open = get_glyph('caves1', 20),
        },
    },
    ---[[
    mobs = 
    { 
        ['k'] = 
        { 
            file = 'mobs/make_kobold',
            map_character = ' ',
        } 
    },--]]
    controllers = { },
    objects = { 
        on_map = {
            ['c'] = 'gold coin'
            }
    },
    fg = 'BLACK',
    bg = 'Saddle_Brown'    
}
